View Issue Details

IDProjectCategoryView StatusLast Update
0000126After The Collapse[All Projects] Generalpublic2018-12-21 04:05
ReporterEsKaAssigned ToEsKa 
PrioritylowSeveritymajorReproducibilityrandom
Status resolvedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version0.5 - Early Access 
Target Version0.5 - Early AccessFixed in Version0.5 - Early Access 
Summary0000126: Scene multithreading causes crashes
DescriptionAs expected.

scene.newobjectlist should be a concurrent bag, which will fix most of the potential problems. Hopefully gameobjects won't have to be, but it's harder to tell. As for the rest, only testing and time will us, but i'm sure there's a bunch of missing stuff.

Meanwhile linear scene processing still work just fine on a performance level, especially with the pathfinder and cache systems optimizations.
TagsNo tags attached.

Activities

EsKa

2018-12-20 02:40

administrator   ~0000083

Should work now, but more tests are needed

EsKa

2018-12-21 04:05

administrator   ~0000084

optimistic here

Issue History

Date Modified Username Field Change
2018-12-12 21:48 EsKa New Issue
2018-12-12 21:48 EsKa Status new => assigned
2018-12-12 21:48 EsKa Assigned To => EsKa
2018-12-20 02:40 EsKa Note Added: 0000083
2018-12-21 04:05 EsKa Status assigned => resolved
2018-12-21 04:05 EsKa Resolution open => fixed
2018-12-21 04:05 EsKa Fixed in Version => 0.5 - Early Access
2018-12-21 04:05 EsKa Note Added: 0000084